com.trendmicro.ds.platform.rest.object.administrators

## Class Administrator

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.administrators.Administrator

-     public class Administrator
      extends java.lang.Object

  Administrator details.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Administrator.MFAType` Types of multi-factor authentication supported by Deep Security for administrator access.
    `static class` | `Administrator.TimeFormat` Time formats supported by Deep Security.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Administrator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Long` | `getCreated()` Get the time when the administrator was created, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.
    `java.lang.String` | `getDescription()` Get the administrator description.
    `java.lang.String` | `getDirectoryInfo()` Get the directory information for the administrator.
    `java.lang.String` | `getDirectoryName()` Get the directory name for the administrator.
    `java.lang.String` | `getEmailAddress()` Get the administrator email address.
    `java.lang.String` | `getExternalUserID()` Get the external user identifier for the administrator.
    `java.lang.String` | `getFullName()` Get the administrator full name.
    `java.lang.Integer` | `getID()` Get the administrator ID.
    `java.lang.Long` | `getLastPasswordChange()` Get the time when the administrator password was changed, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.
    `java.lang.Long` | `getLastSignIn()` Get the time when the administrator last signed in, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.
    `java.lang.String` | `getLocale()` Get the administrator locale.
    `Administrator.MFAType` | `getMfaType()` Get the type of multi-factor authentication enabled for the administrator.
    `java.lang.String` | `getMobileNumber()` Get the administrator mobile number.
    `java.lang.String` | `getPagerNumber()` Get the administrator pager number.
    `java.lang.String` | `getPassword()` Get the administrator password.
    `java.lang.Boolean` | `getPasswordNeverExpires()` Get the state of the "password never expires" flag.
    `java.lang.String` | `getPhoneNumber()` Get the administrator phone number.
    `java.lang.Boolean` | `getReceiveNotifications()` Get the value of the "receive notifications" flag for the administrator.
    `java.lang.String` | `getReportPDFPassword()` Get the report PDF password for the administrator.
    `java.lang.Boolean` | `getReportPDFPasswordEnabled()` Get the value of the "report PDF password enabled" flag for the administrator.
    `java.lang.Integer` | `getRoleID()` Get the administrator role ID.
    `Administrator.TimeFormat` | `getTimeFormat()` Get the administrator time format.
    `java.lang.String` | `getTimeZone()` Get the administrator time zone.
    `java.lang.Long` | `getUnlockTime()` Get the time when the locked administrator account will automatically unlock, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.
    `java.lang.Integer` | `getUnsuccessfulSignInAttempts()` Get the number of unsuccessful sign-in attempts since the administrator last successfully signed in.
    `java.lang.String` | `getUsername()` Get the administrator username.
    `java.lang.Boolean` | `isActive()` Get the state of the "active" flag.
    `java.lang.Boolean` | `isExternal()` Get the "external" flag value for the administrator.
    `java.lang.Boolean` | `isPrimaryContact()` Get the value of the "primary contact" flag for the administrator.
    `java.lang.Boolean` | `isReadOnly()` Get the "read-only user" flag value for the administrator.
    `java.lang.Boolean` | `isTemporary()` Get the "temporary user" flag value for the administrator.
    `void` | `setActive(java.lang.Boolean active)` Set the state of the "active" flag.
    `void` | `setCreated(java.lang.Long created)` Set the time when the administrator was created, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.
    `void` | `setDescription(java.lang.String description)` Set the administrator description.
    `void` | `setDirectoryInfo(java.lang.String directoryInfo)` Set the directory information for the administrator.
    `void` | `setDirectoryName(java.lang.String directoryName)` Set the directory name for the administrator.
    `void` | `setEmailAddress(java.lang.String emailAddress)` Set the administrator email address.
    `void` | `setExternal(java.lang.Boolean external)` Set the "external" flag value for the administrator.
    `void` | `setExternalUserID(java.lang.String externalUserID)` Set the external user identifier for the administrator.
    `void` | `setFullName(java.lang.String fullName)` Set the administrator full name.
    `void` | `setID(java.lang.Integer id)` Set the administrator ID.
    `void` | `setLastPasswordChange(java.lang.Long lastPasswordChange)` Set the time when the administrator password was changed, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.
    `void` | `setLastSignIn(java.lang.Long lastSignIn)` Set the time when the administrator last signed in, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.
    `void` | `setLocale(java.util.Locale locale)` Set the administrator locale.
    `void` | `setLocale(java.lang.String locale)` Set the administrator locale.
    `void` | `setMfaType(Administrator.MFAType mfaType)` Set the type of multi-factor authentication enabled for the administrator.
    `void` | `setMobileNumber(java.lang.String mobileNumber)` Set the administrator mobile number.
    `void` | `setPagerNumber(java.lang.String pagerNumber)` Set the administrator pager number.
    `void` | `setPassword(java.lang.String password)` Set the administrator password.
    `void` | `setPasswordNeverExpires(java.lang.Boolean passwordNeverExpires)` Set the state of the "password never expires" flag.
    `void` | `setPhoneNumber(java.lang.String phoneNumber)` Set the administrator phone number.
    `void` | `setPrimaryContact(java.lang.Boolean primaryContact)` Set the value of the "primary contact" flag for the administrator.
    `void` | `setReadOnly(java.lang.Boolean readOnly)` Set the "read-only user" flag value for the administrator.
    `void` | `setReceiveNotifications(java.lang.Boolean receiveNotifications)` Set the value of the "receive notifications" flag for the administrator.
    `void` | `setReportPDFPassword(java.lang.String reportPDFPassword)` Set the report PDF password for the administrator.
    `void` | `setReportPDFPasswordEnabled(java.lang.Boolean enableReportPDFPassword)` Set the value of the "report PDF password enabled" flag for the administrator.
    `void` | `setRoleID(java.lang.Integer roleID)` Set the administrator role ID.
    `void` | `setTemporary(java.lang.Boolean temporary)` Set the "temporary user" flag value for the administrator.
    `void` | `setTimeFormat(Administrator.TimeFormat timeFormat)` Set the administrator time format.
    `void` | `setTimeZone(java.lang.String timeZone)` Set the administrator time zone.
    `void` | `setTimeZone(java.util.TimeZone timeZone)` Set the administrator time zone.
    `void` | `setUnlockTime(java.lang.Long unlockTime)` Set the time when the locked administrator account will automatically unlock, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.
    `void` | `setUnsuccessfulSignInAttempts(java.lang.Integer unsuccessfulSignInAttempts)` Set the number of unsuccessful sign-in attempts since the administrator last successfully signed in.
    `void` | `setUsername(java.lang.String username)` Set the administrator username.
    `Administrator` | `withActive(java.lang.Boolean active)` Set the state of the "active" flag.
    `Administrator` | `withCreated(java.lang.Long created)` Set the time when the administrator was created, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.
    `Administrator` | `withDescription(java.lang.String description)` Set the administrator description.
    `Administrator` | `withDirectoryInfo(java.lang.String directoryInfo)` Set the directory information for the administrator.
    `Administrator` | `withDirectoryName(java.lang.String directoryName)` Set the directory name for the administrator.
    `Administrator` | `withEmailAddress(java.lang.String emailAddress)` Set the administrator email address.
    `Administrator` | `withExternal(java.lang.Boolean external)` Set the "external" flag value for the administrator.
    `Administrator` | `withExternalUserID(java.lang.String externalUserID)` Set the external user identifier for the administrator.
    `Administrator` | `withFullName(java.lang.String fullName)` Set the administrator full name.
    `Administrator` | `withID(java.lang.Integer id)` Set the administrator ID.
    `Administrator` | `withLastPasswordChange(java.lang.Long lastPasswordChange)` Set the time when the administrator password was changed, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.
    `Administrator` | `withLastSignIn(java.lang.Long lastSignIn)` Set the time when the administrator last signed in, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.
    `Administrator` | `withLocale(java.util.Locale locale)` Set the administrator locale.
    `Administrator` | `withLocale(java.lang.String locale)` Set the administrator locale.
    `Administrator` | `withMfaType(Administrator.MFAType mfaType)` Set the type of multi-factor authentication enabled for the administrator.
    `Administrator` | `withMobileNumber(java.lang.String mobileNumber)` Set the administrator mobile number.
    `Administrator` | `withPagerNumber(java.lang.String pagerNumber)` Set the administrator pager number.
    `Administrator` | `withPassword(java.lang.String password)` Set the administrator password.
    `Administrator` | `withPasswordNeverExpires(java.lang.Boolean passwordNeverExpires)` Set the state of the "password never expires" flag.
    `Administrator` | `withPhoneNumber(java.lang.String phoneNumber)` Set the administrator phone number.
    `Administrator` | `withPrimaryContact(java.lang.Boolean primaryContact)` Set the value of the "primary contact" flag for the administrator.
    `Administrator` | `withReadOnly(java.lang.Boolean readOnly)` Set the "read-only user" flag value for the administrator.
    `Administrator` | `withReceiveNotifications(java.lang.Boolean receiveNotifications)` Set the value of the "receive notifications" flag for the administrator.
    `Administrator` | `withReportPDFPassword(java.lang.String reportPDFPassword)` Set the report PDF password for the administrator.
    `Administrator` | `withReportPDFPasswordEnabled(java.lang.Boolean enableReportPDFPassword)` Set the value of the "report PDF password enabled" flag for the administrator.
    `Administrator` | `withRoleID(java.lang.Integer roleID)` Set the administrator role ID.
    `Administrator` | `withTemporary(java.lang.Boolean temporary)` Set the "temporary user" flag value for the administrator.
    `Administrator` | `withTimeFormat(Administrator.TimeFormat timeFormat)` Set the administrator time format.
    `Administrator` | `withTimeZone(java.lang.String timeZone)` Set the administrator time zone.
    `Administrator` | `withTimeZone(java.util.TimeZone timeZone)` Set the administrator time zone.
    `Administrator` | `withUnlockTime(java.lang.Long unlockTime)` Set the time when the locked administrator account will automatically unlock, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.
    `Administrator` | `withUnsuccessfulSignInAttempts(java.lang.Integer unsuccessfulSignInAttempts)` Set the number of unsuccessful sign-in attempts since the administrator last successfully signed in.
    `Administrator` | `withUsername(java.lang.String username)` Set the administrator username.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Administrator

          public Administrator()

  - ### Method Detail

    - #### getID

          public java.lang.Integer getID()

      Get the administrator ID.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        the administrator ID.

    - #### setID

          public void setID(java.lang.Integer id)

      Set the administrator ID.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `id` - the administrator ID.

    - #### withID

          public Administrator withID(java.lang.Integer id)

      Set the administrator ID.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `id` - the administrator ID.
      Returns:
        the updated Administrator object.

    - #### getUsername

          public java.lang.String getUsername()

      Get the administrator username.
      Returns:
        the administrator username.

    - #### setUsername

          public void setUsername(java.lang.String username)

      Set the administrator username.
      Parameters:
        `username` - the administrator username.

    - #### withUsername

          public Administrator withUsername(java.lang.String username)

      Set the administrator username.
      Parameters:
        `username` - the administrator username.
      Returns:
        the updated Administrator object.

    - #### getPassword

          public java.lang.String getPassword()

      Get the administrator password.

      To prevent accidental disclosure of the administrator password, the Deep Security Manager will not return this value; it can only be used to set the administrator password.

      Returns:
        the administrator password.

    - #### setPassword

          public void setPassword(java.lang.String password)

      Set the administrator password.

      To prevent accidental disclosure of the administrator password, the Deep Security Manager will not return this value; it can only be used to set the administrator password.

      Parameters:
        `password` - the administrator password.

    - #### withPassword

          public Administrator withPassword(java.lang.String password)

      Set the administrator password.

      To prevent accidental disclosure of the administrator password, the Deep Security Manager will not return this value; it can only be used to set the administrator password.

      Parameters:
        `password` - the administrator password.
      Returns:
        the updated Administrator object.

    - #### getFullName

          public java.lang.String getFullName()

      Get the administrator full name.
      Returns:
        the administrator full name.

    - #### setFullName

          public void setFullName(java.lang.String fullName)

      Set the administrator full name.
      Parameters:
        `fullName` - the administrator full name.

    - #### withFullName

          public Administrator withFullName(java.lang.String fullName)

      Set the administrator full name.
      Parameters:
        `fullName` - the administrator full name.
      Returns:
        the updated Administrator object.

    - #### getDescription

          public java.lang.String getDescription()

      Get the administrator description.
      Returns:
        the administrator description.

    - #### setDescription

          public void setDescription(java.lang.String description)

      Set the administrator description.
      Parameters:
        `description` - the administrator description.

    - #### withDescription

          public Administrator withDescription(java.lang.String description)

      Set the administrator description.
      Parameters:
        `description` - the administrator description.
      Returns:
        the updated Administrator object.

    - #### getRoleID

          public java.lang.Integer getRoleID()

      Get the administrator role ID.
      Returns:
        the administrator role ID.

    - #### setRoleID

          public void setRoleID(java.lang.Integer roleID)

      Set the administrator role ID.
      Parameters:
        `roleID` - the administrator role ID.

    - #### withRoleID

          public Administrator withRoleID(java.lang.Integer roleID)

      Set the administrator role ID.
      Parameters:
        `roleID` - the administrator role ID.
      Returns:
        the updated Administrator object.

    - #### getLocale

          public java.lang.String getLocale()

      Get the administrator locale.

      The locale is specified in IETF BCP 47 format, for example `en-US`. Deep Security supports three locales for administrators:

      - `en-US` - US English
      - `ja-JP` - Japanese
      - `zh-CN` - Simplified Chinese
      Returns:
        the administrator locale.

    - #### setLocale

          public void setLocale(java.lang.String locale)

      Set the administrator locale.

      The locale is specified in IETF BCP 47 format, for example `en-US`. Deep Security supports three locales for administrators:

      - `en-US` - US English
      - `ja-JP` - Japanese
      - `zh-CN` - Simplified Chinese
      Parameters:
        `locale` - the administrator locale.

    - #### setLocale

          public void setLocale(java.util.Locale locale)

      Set the administrator locale.
      Parameters:
        `locale` - the administrator locale.

    - #### withLocale

          public Administrator withLocale(java.lang.String locale)

      Set the administrator locale.

      The locale is specified in IETF BCP 47 format, for example `en-US`. Deep Security supports three locales for administrators:

      - `en-US` - US English
      - `ja-JP` - Japanese
      - `zh-CN` - Simplified Chinese
      Parameters:
        `locale` - the administrator locale.
      Returns:
        the updated Administrator object.

    - #### withLocale

          public Administrator withLocale(java.util.Locale locale)

      Set the administrator locale.
      Parameters:
        `locale` - the administrator locale.
      Returns:
        the updated Administrator object.

    - #### getTimeZone

          public java.lang.String getTimeZone()

      Get the administrator time zone.

      Deep Security will attempt to parse the time zone identifier you provide and translate it into an internal identifier. When you retrieve the time zone from Deep Security, you will get one of the IANA Time Zone Database identifiers.

      If you don't provide a time zone, the system will set the administrator time zone to the system local timezone. If you provide a time zone that Deep Security can't parse, the administrator time zone will be set to GMT.

      Returns:
        the administrator time zone.

    - #### setTimeZone

          public void setTimeZone(java.lang.String timeZone)

      Set the administrator time zone.

      Deep Security will attempt to parse the time zone identifier you provide and translate it into an internal identifier. When you retrieve the time zone from Deep Security, you will get one of the IANA Time Zone Database identifiers.

      If you don't provide a time zone, the system will set the administrator time zone to the system local timezone. If you provide a time zone that Deep Security can't parse, the administrator time zone will be set to GMT.

      Parameters:
        `timeZone` - the administrator time zone.

    - #### setTimeZone

          public void setTimeZone(java.util.TimeZone timeZone)

      Set the administrator time zone.

      Deep Security will attempt to parse the time zone identifier you provide and translate it into an internal identifier. When you retrieve the time zone from Deep Security, you will get one of the IANA Time Zone Database identifiers.

      If you don't provide a time zone, the system will set the administrator time zone to the system local timezone. If you provide a time zone that Deep Security can't parse, the administrator time zone will be set to GMT.

      Parameters:
        `timeZone` - the administrator time zone.

    - #### withTimeZone

          public Administrator withTimeZone(java.lang.String timeZone)

      Set the administrator time zone.

      Deep Security will attempt to parse the time zone identifier you provide and translate it into an internal identifier. When you retrieve the time zone from Deep Security, you will get one of the IANA Time Zone Database identifiers.

      If you don't provide a time zone, the system will set the administrator time zone to the system local timezone. If you provide a time zone that Deep Security can't parse, the administrator time zone will be set to GMT.

      Parameters:
        `timeZone` - the administrator time zone.
      Returns:
        the updated Administrator object.

    - #### withTimeZone

          public Administrator withTimeZone(java.util.TimeZone timeZone)

      Set the administrator time zone.

      Deep Security will attempt to parse the time zone identifier you provide and translate it into an internal identifier. When you retrieve the time zone from Deep Security, you will get one of the IANA Time Zone Database identifiers.

      If you don't provide a time zone, the system will set the administrator time zone to the system local timezone. If you provide a time zone that Deep Security can't parse, the administrator time zone will be set to GMT.

      Parameters:
        `timeZone` - the administrator time zone.
      Returns:
        the updated Administrator object.

    - #### getTimeFormat

          public Administrator.TimeFormat getTimeFormat()

      Get the administrator time format.

      The administrator time format determines whether times are shown in 12-hour or 24-hour format in the Deep Security Manager console.

      Returns:
        the administrator time format.

    - #### setTimeFormat

          public void setTimeFormat(Administrator.TimeFormat timeFormat)

      Set the administrator time format.

      The administrator time format determines whether times are shown in 12-hour or 24-hour format in the Deep Security Manager console.

      Parameters:
        `timeFormat` - the administrator time format.

    - #### withTimeFormat

          public Administrator withTimeFormat(Administrator.TimeFormat timeFormat)

      Set the administrator time format.

      The administrator time format determines whether times are shown in 12-hour or 24-hour format in the Deep Security Manager console.

      Parameters:
        `timeFormat` - the administrator time format.
      Returns:
        the updated Administrator object.

    - #### getPasswordNeverExpires

          public java.lang.Boolean getPasswordNeverExpires()

      Get the state of the "password never expires" flag.

      If the "password never expires" flag is set to `true`, then the Deep Security Manager password expiry settings will not apply to this administrator.

      Returns:
        the state of the "password never expires" flag.

    - #### setPasswordNeverExpires

          public void setPasswordNeverExpires(java.lang.Boolean passwordNeverExpires)

      Set the state of the "password never expires" flag.

      If the "password never expires" flag is set to `true`, then the Deep Security Manager password expiry settings will not apply to this administrator.

      Parameters:
        `passwordNeverExpires` - the state of the "password never expires" flag.

    - #### withPasswordNeverExpires

          public Administrator withPasswordNeverExpires(java.lang.Boolean passwordNeverExpires)

      Set the state of the "password never expires" flag.

      If the "password never expires" flag is set to `true`, then the Deep Security Manager password expiry settings will not apply to this administrator.

      Parameters:
        `passwordNeverExpires` - the state of the "password never expires" flag.
      Returns:
        the updated Administrator object.

    - #### isActive

          public java.lang.Boolean isActive()

      Get the state of the "active" flag.

      If the "active" flag is `false`, the user will be locked out and will not be permitted to log in. When the "active" flag is changed from `true` to `false`, any existing sessions for the administrator are terminated.

      Returns:
        the state of the "active" flag.

    - #### setActive

          public void setActive(java.lang.Boolean active)

      Set the state of the "active" flag.

      If the "active" flag is `false`, the user will be locked out and will not be permitted to log in. When the "active" flag is changed from `true` to `false`, any existing sessions for the administrator are terminated.

      Parameters:
        `active` - the state of the "active" flag.

    - #### withActive

          public Administrator withActive(java.lang.Boolean active)

      Set the state of the "active" flag.

      If the "active" flag is `false`, the user will be locked out and will not be permitted to log in. When the "active" flag is changed from `true` to `false`, any existing sessions for the administrator are terminated.

      Parameters:
        `active` - the state of the "active" flag.
      Returns:
        the updated Administrator object.

    - #### getMfaType

          public Administrator.MFAType getMfaType()

      Get the type of multi-factor authentication enabled for the administrator.
      Returns:
        the type of multi-factor authentication enabled for the administrator.

    - #### setMfaType

          public void setMfaType(Administrator.MFAType mfaType)

      Set the type of multi-factor authentication enabled for the administrator.
      Parameters:
        `mfaType` - the type of multi-factor authentication enabled for the administrator.

    - #### withMfaType

          public Administrator withMfaType(Administrator.MFAType mfaType)

      Set the type of multi-factor authentication enabled for the administrator.
      Parameters:
        `mfaType` - the type of multi-factor authentication enabled for the administrator.
      Returns:
        the updated Administrator object.

    - #### getPhoneNumber

          public java.lang.String getPhoneNumber()

      Get the administrator phone number.
      Returns:
        the administrator phone number.

    - #### setPhoneNumber

          public void setPhoneNumber(java.lang.String phoneNumber)

      Set the administrator phone number.
      Parameters:
        `phoneNumber` - the administrator phone number.

    - #### withPhoneNumber

          public Administrator withPhoneNumber(java.lang.String phoneNumber)

      Set the administrator phone number.
      Parameters:
        `phoneNumber` - the administrator phone number.
      Returns:
        the updated Administrator object.

    - #### getMobileNumber

          public java.lang.String getMobileNumber()

      Get the administrator mobile number.
      Returns:
        the administrator mobile number.

    - #### setMobileNumber

          public void setMobileNumber(java.lang.String mobileNumber)

      Set the administrator mobile number.
      Parameters:
        `phoneNumber` - the administrator mobile number.

    - #### withMobileNumber

          public Administrator withMobileNumber(java.lang.String mobileNumber)

      Set the administrator mobile number.
      Parameters:
        `phoneNumber` - the administrator mobile number.
      Returns:
        the updated Administrator object.

    - #### getPagerNumber

          public java.lang.String getPagerNumber()

      Get the administrator pager number.
      Returns:
        the administrator pager number.

    - #### setPagerNumber

          public void setPagerNumber(java.lang.String pagerNumber)

      Set the administrator pager number.
      Parameters:
        `phoneNumber` - the administrator pager number.

    - #### withPagerNumber

          public Administrator withPagerNumber(java.lang.String pagerNumber)

      Set the administrator pager number.
      Parameters:
        `phoneNumber` - the administrator pager number.
      Returns:
        the updated Administrator object.

    - #### getEmailAddress

          public java.lang.String getEmailAddress()

      Get the administrator email address.
      Returns:
        the administrator email address.

    - #### setEmailAddress

          public void setEmailAddress(java.lang.String emailAddress)

      Set the administrator email address.
      Parameters:
        `phoneNumber` - the administrator email address.

    - #### withEmailAddress

          public Administrator withEmailAddress(java.lang.String emailAddress)

      Set the administrator email address.
      Parameters:
        `phoneNumber` - the administrator email address.
      Returns:
        the updated Administrator object.

    - #### isPrimaryContact

          public java.lang.Boolean isPrimaryContact()

      Get the value of the "primary contact" flag for the administrator.
      Returns:
        the value of the "primary contact" flag for the administrator.

    - #### setPrimaryContact

          public void setPrimaryContact(java.lang.Boolean primaryContact)

      Set the value of the "primary contact" flag for the administrator.
      Parameters:
        `primaryContact` - the value of the "primary contact" flag for the administrator.

    - #### withPrimaryContact

          public Administrator withPrimaryContact(java.lang.Boolean primaryContact)

      Set the value of the "primary contact" flag for the administrator.
      Parameters:
        `primaryContact` - the value of the "primary contact" flag for the administrator.
      Returns:
        the updated Administrator object.

    - #### getReceiveNotifications

          public java.lang.Boolean getReceiveNotifications()

      Get the value of the "receive notifications" flag for the administrator.
      Returns:
        the value of the "receive notifications" flag for the administrator.

    - #### setReceiveNotifications

          public void setReceiveNotifications(java.lang.Boolean receiveNotifications)

      Set the value of the "receive notifications" flag for the administrator.
      Parameters:
        `primaryContact` - the value of the "receive notifications" flag for the administrator.

    - #### withReceiveNotifications

          public Administrator withReceiveNotifications(java.lang.Boolean receiveNotifications)

      Set the value of the "receive notifications" flag for the administrator.
      Parameters:
        `primaryContact` - the value of the "receive notifications" flag for the administrator.
      Returns:
        the updated Administrator object.

    - #### getReportPDFPasswordEnabled

          public java.lang.Boolean getReportPDFPasswordEnabled()

      Get the value of the "report PDF password enabled" flag for the administrator.

      If you enable the report PDF password, any reports sent to the administrator will be protected using the report PDF password.

      Returns:
        the value of the "report PDF password enabled" flag for the administrator.

    - #### setReportPDFPasswordEnabled

          public void setReportPDFPasswordEnabled(java.lang.Boolean enableReportPDFPassword)

      Set the value of the "report PDF password enabled" flag for the administrator.

      If you enable the report PDF password, any reports sent to the administrator will be protected using the report PDF password.

      Parameters:
        `enableReportPDFPassword` - the value of the "report PDF password enabled" flag for the administrator.

    - #### withReportPDFPasswordEnabled

          public Administrator withReportPDFPasswordEnabled(java.lang.Boolean enableReportPDFPassword)

      Set the value of the "report PDF password enabled" flag for the administrator.

      If you enable the report PDF password, any reports sent to the administrator will be protected using the report PDF password.

      Parameters:
        `enableReportPDFPassword` - the value of the "report PDF password enabled" flag for the administrator.
      Returns:
        the updated Administrator object.

    - #### getReportPDFPassword

          public java.lang.String getReportPDFPassword()

      Get the report PDF password for the administrator.

      This value is required if the `reportPDFPasswordEnabled` flag is `true` and is automatically reset to blank if the `reportPDFPasswordEnabled` flag is set to `false`.

      To prevent accidental disclosure of the administrator report PDF password, the Deep Security Manager will not return this value; it can only be used to set the administrator report PDF password.

      Returns:
        the administrator report PDF password.

    - #### setReportPDFPassword

          public void setReportPDFPassword(java.lang.String reportPDFPassword)

      Set the report PDF password for the administrator.

      This value is required if the `reportPDFPasswordEnabled` flag is `true` and is automatically reset to blank if the `reportPDFPasswordEnabled` flag is set to `false`.

      To prevent accidental disclosure of the administrator report PDF password, the Deep Security Manager will not return this value; it can only be used to set the administrator report PDF password.

      Parameters:
        `reportPDFPassword` - the administrator report PDF password.

    - #### withReportPDFPassword

          public Administrator withReportPDFPassword(java.lang.String reportPDFPassword)

      Set the report PDF password for the administrator.

      This value is required if the `reportPDFPasswordEnabled` flag is `true` and is automatically reset to blank if the `reportPDFPasswordEnabled` flag is set to `false`.

      To prevent accidental disclosure of the administrator report PDF password, the Deep Security Manager will not return this value; it can only be used to set the administrator report PDF password.

      Parameters:
        `reportPDFPassword` - the administrator report PDF password.
      Returns:
        the updated Administrator object.

    - #### getCreated

          public java.lang.Long getCreated()

      Get the time when the administrator was created, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        the time when the administrator was created, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

    - #### setCreated

          public void setCreated(java.lang.Long created)

      Set the time when the administrator was created, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `created` - the time when the administrator was created, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

    - #### withCreated

          public Administrator withCreated(java.lang.Long created)

      Set the time when the administrator was created, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `created` - the time when the administrator was created, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.
      Returns:
        the updatd Administrator object.

    - #### getLastPasswordChange

          public java.lang.Long getLastPasswordChange()

      Get the time when the administrator password was changed, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

      If the administrator password has never been changed, this value will be `null`.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        the time when the administrator was changed, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

    - #### setLastPasswordChange

          public void setLastPasswordChange(java.lang.Long lastPasswordChange)

      Set the time when the administrator password was changed, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

      If the administrator password has never been changed, this value will be `null`.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `lastPasswordChange` - the time when the administrator was changed, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

    - #### withLastPasswordChange

          public Administrator withLastPasswordChange(java.lang.Long lastPasswordChange)

      Set the time when the administrator password was changed, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

      If the administrator password has never been changed, this value will be `null`.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `lastPasswordChange` - the time when the administrator was changed, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.
      Returns:
        the updated Administrator object.

    - #### getLastSignIn

          public java.lang.Long getLastSignIn()

      Get the time when the administrator last signed in, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

      If the administrator has never signed in, this value will be `null`.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        the time when the administrator last signed in, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

    - #### setLastSignIn

          public void setLastSignIn(java.lang.Long lastSignIn)

      Set the time when the administrator last signed in, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

      If the administrator has never signed in, this value will be `null`.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `lastSignIn` - the time when the administrator last signed in, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

    - #### withLastSignIn

          public Administrator withLastSignIn(java.lang.Long lastSignIn)

      Set the time when the administrator last signed in, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

      If the administrator has never signed in, this value will be `null`.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `lastSignIn` - the time when the administrator last signed in, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.
      Returns:
        the updated Administrator object.

    - #### getUnlockTime

          public java.lang.Long getUnlockTime()

      Get the time when the locked administrator account will automatically unlock, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        the time when the locked administrator account will automatically unlock, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

    - #### setUnlockTime

          public void setUnlockTime(java.lang.Long unlockTime)

      Set the time when the locked administrator account will automatically unlock, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `unlockTime` - the time when the locked administrator account will automatically unlock, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

    - #### withUnlockTime

          public Administrator withUnlockTime(java.lang.Long unlockTime)

      Set the time when the locked administrator account will automatically unlock, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `unlockTime` - the time when the locked administrator account will automatically unlock, as the number of milliseconds since January 1, 1970, 00:00:00 GMT.
      Returns:
        the updated Administrator object.

    - #### getUnsuccessfulSignInAttempts

          public java.lang.Integer getUnsuccessfulSignInAttempts()

      Get the number of unsuccessful sign-in attempts since the administrator last successfully signed in.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        the number of unsuccessful sign-in attempts since the administrator last successfully signed in.

    - #### setUnsuccessfulSignInAttempts

          public void setUnsuccessfulSignInAttempts(java.lang.Integer unsuccessfulSignInAttempts)

      Set the number of unsuccessful sign-in attempts since the administrator last successfully signed in.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `unsuccessfulSignInAttempts` - the number of unsuccessful sign-in attempts since the administrator last successfully signed in.

    - #### withUnsuccessfulSignInAttempts

          public Administrator withUnsuccessfulSignInAttempts(java.lang.Integer unsuccessfulSignInAttempts)

      Set the number of unsuccessful sign-in attempts since the administrator last successfully signed in.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `unsuccessfulSignInAttempts` - the number of unsuccessful sign-in attempts since the administrator last successfully signed in.
      Returns:
        the updated Administrator object.

    - #### getDirectoryName

          public java.lang.String getDirectoryName()

      Get the directory name for the administrator.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        the directory name for the administrator.

    - #### setDirectoryName

          public void setDirectoryName(java.lang.String directoryName)

      Set the directory name for the administrator.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `directoryName` - the directory name for the administrator.

    - #### withDirectoryName

          public Administrator withDirectoryName(java.lang.String directoryName)

      Set the directory name for the administrator.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `directoryName` - the directory name for the administrator.
      Returns:
        the updated Administrator object.

    - #### getDirectoryInfo

          public java.lang.String getDirectoryInfo()

      Get the directory information for the administrator.

      This is the Base64-encoded value of the administrator's unique identifier in the directory.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        the directory information for the administrator.

    - #### setDirectoryInfo

          public void setDirectoryInfo(java.lang.String directoryInfo)

      Set the directory information for the administrator.

      This is the Base64-encoded value of the administrator's unique identifier in the directory.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `directoryInfo` - the directory information for the administrator.

    - #### withDirectoryInfo

          public Administrator withDirectoryInfo(java.lang.String directoryInfo)

      Set the directory information for the administrator.

      This is the Base64-encoded value of the administrator's unique identifier in the directory.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `directoryInfo` - the directory information for the administrator.
      Returns:
        the updated Administrator object.

    - #### isExternal

          public java.lang.Boolean isExternal()

      Get the "external" flag value for the administrator.

      This flag is set to `true` when the administrator has been synchronized from an external source.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        the "external" flag value for the administrator.

    - #### setExternal

          public void setExternal(java.lang.Boolean external)

      Set the "external" flag value for the administrator.

      This flag is set to `true` when the administrator has been synchronized from an external source.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `external` - the "external" flag value for the administrator.

    - #### withExternal

          public Administrator withExternal(java.lang.Boolean external)

      Set the "external" flag value for the administrator.

      This flag is set to `true` when the administrator has been synchronized from an external source.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `external` - the "external" flag value for the administrator.
      Returns:
        the updated Administrator object.

    - #### getExternalUserID

          public java.lang.String getExternalUserID()

      Get the external user identifier for the administrator.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        the external user identifier for the administrator.

    - #### setExternalUserID

          public void setExternalUserID(java.lang.String externalUserID)

      Set the external user identifier for the administrator.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `externalUserID` - the external user identifier for the administrator.

    - #### withExternalUserID

          public Administrator withExternalUserID(java.lang.String externalUserID)

      Set the external user identifier for the administrator.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `externalUserID` - the external user identifier for the administrator.
      Returns:
        the updated Administrator object.

    - #### isTemporary

          public java.lang.Boolean isTemporary()

      Get the "temporary user" flag value for the administrator.

      The "temporary user" flag is set to `true` for administrators in tenant accounts which are created by the primary tenant for support purposes.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        the "temporary user" flag value for the administrator.

    - #### setTemporary

          public void setTemporary(java.lang.Boolean temporary)

      Set the "temporary user" flag value for the administrator.

      The "temporary user" flag is set to `true` for administrators in tenant accounts which are created by the primary tenant for support purposes.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `temporary` - the "temporary user" flag value for the administrator.

    - #### withTemporary

          public Administrator withTemporary(java.lang.Boolean temporary)

      Set the "temporary user" flag value for the administrator.

      The "temporary user" flag is set to `true` for administrators in tenant accounts which are created by the primary tenant for support purposes.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `temporary` - the "temporary user" flag value for the administrator.
      Returns:
        the updated Administrator object.

    - #### isReadOnly

          public java.lang.Boolean isReadOnly()

      Get the "read-only user" flag value for the administrator.

      The read-only user account is created by the system and cannot be removed.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        the "read-only user" flag value for the administrator.

    - #### setReadOnly

          public void setReadOnly(java.lang.Boolean readOnly)

      Set the "read-only user" flag value for the administrator.

      The read-only user account is created by the system and cannot be removed.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `readOnly` - the "read-only user" flag value for the administrator.

    - #### withReadOnly

          public Administrator withReadOnly(java.lang.Boolean readOnly)

      Set the "read-only user" flag value for the administrator.

      The read-only user account is created by the system and cannot be removed.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `readOnly` - the "read-only user" flag value for the administrator.
      Returns:
        the updated Administrator object.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.